/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Cafeteria　個別テーブルデータ保持クラス
//			変更履歴
//				2005.12.19	新規作成	大賀俊彦 
//
package jp.co.ntt.lms.lo.Cafeteria;

import jp.co.ntt.lms.lo.LoComData;

/**
 * Cafeteria　個別テーブルデータ保持クラスです。<BR>
 * 直列化のためにjava.io.Serializableインタフェースを実装します。
 */
public class CafeteriaLoData extends LoComData {

	/** なし・あり */
	public static final String CAFETERIA_NOTAPPLIED = "0";
	public static final String CAFETERIA_APPLIED = "1";

	/** 承認回数 */
	public static final String CAFETERIA_APPROVE_ZERO = "0";
	public static final String CAFETERIA_APPROVE_ONE = "1";
	public static final String CAFETERIA_APPROVE_TWO = "2";
	
	/** 上限制御フラグを保持します */
	private String mstrJougenControl = "";

	/** 課金制御フラグを保持します */
	private String mstrKakinControl = "";

	/** 承認回数を保持します */
	private String mstrApproveType = "";

	/** 「承認後自動アサイン」制御フラグを保持します */
	private String mstrAssignControl = "";

	/** 「個人申請上限数」を保持します */
	private String mstrIndividualApplyMax = "";

	/** 上限までの一定の割合に達した時に送信するメールアドレスを保持します */
	private String mstrApplyEmailAddress = "";

	/** CafeteriaLoListDataを保持します */
	private CafeteriaLoListData[] mobjLoList = null;
	
	/** PrimaryApproverListDataを保持します */
	private CafeteriaApproverListData[] mobjPrimaryApproverList = null;
	
	/** ApproverListDataを保持します */
	private CafeteriaApproverListData[] mobjApproverList = null;
	

	/**
	 * CafeteriaLoListDataを設定します
	 * @param String LOのURL
	 */
	public void setLoList( CafeteriaLoListData[] objLoList )
	{
		mobjLoList = objLoList;
	}
	
	/**
	 * CafeteriaLoListDataを取得します
	 * @return String LOのURL
	 */
	public CafeteriaLoListData[] getLoList()
	{
		return mobjLoList;
	}
	/**
	 * @return mobjApproverList を戻します。
	 */
	public CafeteriaApproverListData[] getApproverList() {
		return mobjApproverList;
	}
	/**
	 * @param mobjApproverList mobjApproverList を設定。
	 */
	public void setApproverList(CafeteriaApproverListData[] objApproverList) {
		this.mobjApproverList = objApproverList;
	}
	/**
	 * @return mobjPrimaryApproverList を戻します。
	 */
	public CafeteriaApproverListData[] getPrimaryApproverList() {
		return mobjPrimaryApproverList;
	}
	/**
	 * @param mobjPrimaryApproverList mobjPrimaryApproverList を設定。
	 */
	public void setPrimaryApproverList(CafeteriaApproverListData[] objPrimaryApproverList) {
		this.mobjPrimaryApproverList = objPrimaryApproverList;
	}

	/**
	 * @return mstrJougenControl を戻します。
	 */
	public String getJougenControl() {
		return mstrJougenControl;
	}
	/**
	 * @param mstrJougenControl mstrJougenControl を設定。
	 */
	public void setJougenControl(String mstrJougenControl) {
		this.mstrJougenControl = mstrJougenControl;
	}
	/**
	 * @return mstrApproveType を戻します。
	 */
	public String getApproveType() {
		return mstrApproveType;
	}
	/**
	 * @param mstrApproveType mstrApproveType を設定。
	 */
	public void setApproveType(String mstrApproveType) {
		this.mstrApproveType = mstrApproveType;
	}
	/**
	 * @return mstrKakinControl を戻します。
	 */
	public String getKakinControl() {
		return mstrKakinControl;
	}
	/**
	 * @param mstrKakinControl mstrKakinControl を設定。
	 */
	public void setKakinControl(String mstrKakinControl) {
		this.mstrKakinControl = mstrKakinControl;
	}
	/**
	 * @return mstrAssignControl を戻します。
	 */
	public String getAssignControl() {
		return mstrAssignControl;
	}
	/**
	 * @param mstrAssignControl mstrAssignControl を設定。
	 */
	public void setAssignControl(String mstrAssignControl) {
		this.mstrAssignControl = mstrAssignControl;
	}
	/**
	 * @return mstrIndividualApplyMax を戻します。
	 */
	public String getIndividualApplyMax() {
		return mstrIndividualApplyMax;
	}
	/**
	 * @param mstrIndividualApplyMax mstrIndividualApplyMax を設定。
	 */
	public void setIndividualApplyMax(String mstrIndividualApplyMax) {
		this.mstrIndividualApplyMax = mstrIndividualApplyMax;
	}
	/**
	 * @return mstrApplyEmailAddress を戻します。
	 */
	public String getApplyEmailAddress() {
		return mstrApplyEmailAddress;
	}
	/**
	 * @param mstrApplyEmailAddress mstrApplyEmailAddress を設定。
	 */
	public void setApplyEmailAddress(String mstrApplyEmailAddress) {
		this.mstrApplyEmailAddress = mstrApplyEmailAddress;
	}
}